#include <Servo.h>
#include "IRLibAll.h"

IRrecvPCI myReceiver(2); //create receiver and pass pin number
IRdecode myDecoder;   //create decoder

#define PIN_MOT1  11
#define PIN_MOT2  5

Servo motor1;
Servo motor2;

int speed = 10;

void setup() {
  Serial.begin(9600);
  pinMode(15,OUTPUT);
  digitalWrite(15,HIGH);
  myReceiver.enableIRIn(); // Start the receiver
  Serial.println(F("Ready to receive IR signals"));

  motor1.attach(PIN_MOT1);
  motor2.attach(PIN_MOT2);
  motor1.write(90);
  motor2.write(90);
}

void loop() {
  //Continue looping until you get a complete signal received
  if (myReceiver.getResults()) {
    myDecoder.decode();           //Decode it
//    myDecoder.dumpResults(false);  //Now print results. Use false for less detail
    int value=myDecoder.value&0xff;
    switch(value){
      case 2 :
        motor1.write(0);
        delay(50);
        motor2.write(180);
        break;
      case 4 :
        motor1.write(100+speed);
        delay(50);
        motor2.write(100+speed);
        break;  
      case 5 :
        motor1.write(90);
        motor2.write(90);
        break;  
      case 6 :
        motor1.write(90-speed);
        motor2.write(90-speed);
        break;   
      case 8 :
        motor1.write(180);
        delay(50);
        motor2.write(0);
        break; 
    }
    delay(500);
    Serial.println(value,HEX);
    myReceiver.enableIRIn();      //Restart receiver
  }
}


